org.eclipse.rdf4j.sail.shacl.AST

## Class PathPropertyShape

- java.lang.Object
- - org.eclipse.rdf4j.sail.shacl.AST.PropertyShape
  - - org.eclipse.rdf4j.sail.shacl.AST.PathPropertyShape

- All Implemented Interfaces:
    PlanGenerator, RequiresEvalutation
  Direct Known Subclasses:
    ClassPropertyShape, DatatypePropertyShape, LanguageInPropertyShape, MaxCountPropertyShape, MaxExclusivePropertyShape, MaxInclusivePropertyShape, MaxLengthPropertyShape, MinCountPropertyShape, MinExclusivePropertyShape, MinInclusivePropertyShape, MinLengthPropertyShape, NodeKindPropertyShape, PatternPropertyShape

      public class PathPropertyShape
      extends PropertyShape

  The AST (Abstract Syntax Tree) node that represents the sh:path on a property nodeShape.
  Author:
    Heshan Jayasinghe

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Path` | `getPath()`
    `List<Path>` | `getPaths()`
    `PlanNode` | `getPlan(ShaclSailConnection shaclSailConnection, NodeShape nodeShape, boolean printPlans, PlanNode overrideTargetNode)`
    `PlanNode` | `getPlanAddedStatements(ShaclSailConnection shaclSailConnection, NodeShape nodeShape)`
    `PlanNode` | `getPlanRemovedStatements(ShaclSailConnection shaclSailConnection, NodeShape nodeShape)`
    `boolean` | `requiresEvaluation(SailConnection addedStatements, SailConnection removedStatements)`

    - ### Methods inherited from class org.eclipse.rdf4j.sail.shacl.AST.PropertyShape

      `getId, getNodeShape, getPlanAsGraphvizDot, getSourceConstraintComponent`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getPlan

          public PlanNode getPlan(ShaclSailConnection shaclSailConnection,
                                  NodeShape nodeShape,
                                  boolean printPlans,
                                  PlanNode overrideTargetNode)

      Specified by:
        `getPlan` in interface `PlanGenerator`
      Overrides:
        `getPlan` in class `PropertyShape`

    - #### getPlanAddedStatements

          public PlanNode getPlanAddedStatements(ShaclSailConnection shaclSailConnection,
                                                 NodeShape nodeShape)

      Specified by:
        `getPlanAddedStatements` in interface `PlanGenerator`
      Overrides:
        `getPlanAddedStatements` in class `PropertyShape`

    - #### getPlanRemovedStatements

          public PlanNode getPlanRemovedStatements(ShaclSailConnection shaclSailConnection,
                                                   NodeShape nodeShape)

      Specified by:
        `getPlanRemovedStatements` in interface `PlanGenerator`
      Overrides:
        `getPlanRemovedStatements` in class `PropertyShape`

    - #### getPaths

          public List<Path> getPaths()

      Specified by:
        `getPaths` in interface `PlanGenerator`
      Overrides:
        `getPaths` in class `PropertyShape`

    - #### requiresEvaluation

          public boolean requiresEvaluation(SailConnection addedStatements,
                                            SailConnection removedStatements)

      Specified by:
        `requiresEvaluation` in interface `RequiresEvalutation`
      Overrides:
        `requiresEvaluation` in class `PropertyShape`

    - #### getPath

          public Path getPath()

Copyright © 2015-2020 Eclipse Foundation. All Rights Reserved.